//
// This file is released under the 3-clause BSD license. See COPYING-BSD.


function demo_advanced_model_learning_data_dynamic()

    mode(-1);
    lines(0);

    //Путь к библиотеке
    [a, pathlib] = libraryinfo("physics_learning_environmentlib");
    clear a;
    pathlib = strncpy(pathlib, length(pathlib) - length('Functions') - 1 - length('macros')) + 'xcos';

    //Демонстрируем код
    disp('//Запускаем базовую функцию');
    disp('SystemParametrsNames = [''b'', ''a'', ''d''];//Имена параметров');
    disp('SystemParametrsValues = [ 1.5, 0.81, 3.81;');
    disp('                         2.25, 0.51, 6.81;');
    disp('                         1.11, 0.93, 3.51];//Значения параметров');
    disp('SystemOutputChatacteristicsNames = [''A1'', ''A3'', ''A2''];//Имена выходных характеристик модели');
    disp('[SystemOutputCharacteristics,.'+'.'+'.//Выходные характеристики');
    disp(' parametrs.'+'.'+'.//Параметры');
    disp(' ]=AdvancedModelLearningDataGeneralTimeGrid([''d'', ''a''],.'+'.'+'.//Имена параметров модели');
    disp('                                            SystemParametrsNames,.'+'.'+'.//Имена параметров, определяющих динамику');
    disp('                                            SystemParametrsValues,.'+'.'+'.//Значения параметров, определяющих динамику');
    disp('                                            SystemOutputChatacteristicsNames,.'+'.'+'.//Имена выходных характеристик системы');
    disp('                                            [1, 3, 2, 2],.'+'.'+'.//Индексы выходных характеристик системы');
    disp('                                            [2, 1, 1, 3],.'+'.'+'.//Индексы выходных характеристик системы (в именах)');
    disp('                                            fullfile(pathlib, ''Proba3.zcos''),.'+'.'+'.//Имя схемы системы');
    disp('                                            [0.0:0.1:9.9]''.'+'.'+'.//Моменты времени');
    disp('                                            );');

    //Запускаем базовую функцию
    SystemParametrsNames = ['b', 'a', 'd'];//Имена параметров
    SystemParametrsValues = [ 1.5, 0.81, 3.81;
                             2.25, 0.51, 6.81;
                             1.11, 0.93, 3.51];//Значения параметров
    SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2'];//Имена выходных характеристик модели
    [SystemOutputCharacteristics,...//Выходные характеристики
     ModelParametrsValues...//Параметры
     ]=AdvancedModelLearningDataGeneralTimeGrid(['d', 'a'],...//Имена параметров модели
                                                SystemParametrsNames,...//Имена параметров, определяющих динамику
                                                SystemParametrsValues,...//Значения параметров, определяющих динамику
                                                SystemOutputChatacteristicsNames,...//Имена выходных характеристик системы
                                                [1, 3, 2, 2],...//Индексы выходных характеристик системы
                                                [2, 1, 1, 3],...//Индексы выходных характеристик системы (в именах)
                                                fullfile(pathlib, 'Proba3.zcos'),...//Имя схемы системы
                                                [0.0:0.1:9.9]'...//Моменты времени
                                                );

    //Выводим характеристики
    disp('SystemOutputCharacteristics:');
    disp(SystemOutputCharacteristics); disp(size(SystemOutputCharacteristics));
    disp('ModelParametrsValues:');
    disp(ModelParametrsValues); disp(size(ModelParametrsValues));
endfunction

demo_advanced_model_learning_data_dynamic();
clear demo_advanced_model_learning_data_dynamic;
