//Функция генерации обучающих данных (для динамики выходных характеристик)
function [SystemOutputCharacteristics,...//Выходные характеристики
          ModelParametrsValues...//Значения параметров модели
          ]=AdvancedModelLearningDataDynamicWithGenericParametrsEx(ModelParametrsNames,...//Имена параметров модели
                                                                   GenericParametrsNames,...//Имена параметров, определяющих динамику
                                                                   GenericParametrsValues,...//Значения параметров, определяющих динамику
                                                                   SystemAttributes,...//Аттрибуты системы
                                                                   ConversionModelParametrsFunction...//Функция конверсии параметров модели
                                                                   )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    if (nArg ~= 4) && (nArg ~= 5) then
        error('Function AdvancedModelLearningDataDynamicWithGenericParametrsEx takes 4 щк 5 arguments');
        return;
    end
    
    //Прорверяем корректность аргументов
    isemptyModelParametrsNames = isempty(ModelParametrsNames);//Факт пустоты параметров модели
    if ~isemptyModelParametrsNames && ((type(ModelParametrsNames) ~= 10) || (size(ModelParametrsNames)(1) ~= 1)) then
        error('The first argument of AdvancedModelLearningDataDynamicWithGenericParametrsEx function is string matrix 1xM');
        return;
    end
    if (nArg == 5) && (type(ConversionModelParametrsFunction) ~= 13) then
        error('The 5th argument of AdvancedModelLearningDataDynamicWithGenericParametrsEx function is function');
        return;
    end
    
    //Получаем параметры системы
    [SystemOutputCharacteristics,...//Выходные характеристики
     SystemParametrsNames...//Имена параметров системы
     SystemParametrsValues...//Значения параметров системы
     ]=AdvancedModelLearningDataDynamicWithGenericParametrs(GenericParametrsNames,...//Имена параметров, определяющих динамику
                                                            GenericParametrsValues,...//Значения параметров, определяющих динамику
                                                            SystemAttributes...//Аттрибуты системы
                                                            );
                                                            
    //Выбираем требуемые значения параметров
    ModelParametrsValues = SystemParametrsValues(:,Find(ModelParametrsNames, SystemParametrsNames));
    
    //Конвертируем параметры
    if nArg == 5 then
        ModelParametrsValues = ConversionModelParametrsFunction(ModelParametrsValues);
    end
endfunction
