//Функция генерации обучающих данных (для динамики выходных характеристик)
function [SystemOutputCharacteristics...//Выходные характеристики
          ]=AdvancedModelLearningDataDynamics(GenericParametrsNames,...//Имена параметров модели
                                              GenericParametrsValues,...//Значения параметров модели
                                              SystemsAttributes...//Аттрибуты систем
                                              )
    //Проверяем аргументы
    if argn(2) ~= 3 then
        error('Function AdvancedModelLearningDataDynamics takes 3 arguments');
        return;
    end
    
    //Векторизуемая функция
    function [SystemOutputCharacteristics]=advancedModelLearningDataDynamics(ind)
        SystemOutputCharacteristics = AdvancedModelLearningDataDynamicWithGenericParametrs(GenericParametrsNames,...//Имена параметров, определяющих динамику
                                                                                           GenericParametrsValues,...//Значения параметров, определяющих динамику
                                                                                           SystemsAttributes{ind}...//Аттрибуты системы
                                                                                           );
    endfunction
    
    //Вычисляем выходные характеристики
    SystemOutputCharacteristics = Vectorization(1:size(SystemsAttributes, '*'),...
                                                advancedModelLearningDataDynamics);
endfunction
