//Функция фильтра
function [parametrs]=DynamicFilterFunction1(time, value)
    parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];
endfunction
function [parametr]=DynamicFilterFunction2(time, value)
    parametr=sum(time.*value) / (2*length(time));
endfunction

//Массив функций фильтров
DynamicFiltersFunctions = cell(1, 4);
DynamicFiltersFunctions{1} = DynamicFilterFunction1;
DynamicFiltersFunctions{2} = DynamicFilterFunction2;
DynamicFiltersFunctions{3} = DynamicFilterFunction2;
DynamicFiltersFunctions{4} = DynamicFilterFunction1;

//Формируем динамику системы
systemAttributes = SystemAttributes('File1.xcos',...//Имя схемы системы
                                    ['A3', 'A1', 'A2'],...//Имена выходных характеристик системы
                                    [1, 1, 3, 2],...//Индексы имен динамик
                                    [3, 2, 1, 2],...//Индексы динамик (в именах)
                                    DynamicFiltersFunctions...//Функция сжатия динамик
                                    );

//Проверка
assert_checkequal(systemAttributes.SystemShemaName, 'File1.xcos');
assert_checkequal(systemAttributes.ModelParametrsNames, []);
assert_checkequal(systemAttributes.SystemParametrsNames, []);
assert_checkequal(systemAttributes.SystemParametrsMinValues, []);
assert_checkequal(systemAttributes.SystemParametrsValues, []);
assert_checkequal(systemAttributes.SystemParametrsMaxValues, []);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsNames, ['A3', 'A1', 'A2']);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsNamesIndexes, [1, 1, 3, 2]);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsIndexes, [3, 2, 1, 2]);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsCompressionFunctions, DynamicFiltersFunctions);
