//Функция фильтра
function [parametrs]=DynamicFilterFunction1(time, value)
    parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];
endfunction
function [parametr]=DynamicFilterFunction2(time, value)
    parametr=sum(time.*value) / (2*length(time));
endfunction

//Массив функций фильтров
DynamicFiltersFunctions = cell(1, 3);
DynamicFiltersFunctions{1} = DynamicFilterFunction2;
DynamicFiltersFunctions{2} = DynamicFilterFunction1;
DynamicFiltersFunctions{3} = DynamicFilterFunction2;

//Формируем динамику системы
systemAttributes = SystemAttributesControlMode('File2.xcos',...//Имя схемы системы
                                               ['g', 'tt', 'qdv'],...//Имена параметров
                                               [1.59, 1.83, 6.81;...
                                                2.25, 1.53, 4.71;...
                                                2.73, 6.93, 7.53],...//Значения параметров
                                               ['A5', 'A7', 'A10'],...//Имена выходных характеристик системы
                                               [1, 4, 6, 3],...//Индексы имен динамик
                                               [3, 5, 7, 9],...//Индексы динамик (в именах)
                                               DynamicFiltersFunctions...//Функция сжатия динамик
                                               );

//Проверка
assert_checkequal(systemAttributes.SystemShemaName, 'File2.xcos');
assert_checkequal(systemAttributes.SystemParametrsNames, ['g', 'tt', 'qdv']);
assert_checkequal(systemAttributes.SystemParametrsMinValues, []);
assert_checkequal(systemAttributes.SystemParametrsValues, [1.59, 1.83, 6.81;...
                                                           2.25, 1.53, 4.71;...
                                                           2.73, 6.93, 7.53]);
assert_checkequal(systemAttributes.SystemParametrsMaxValues, []);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsNames, ['A5', 'A7', 'A10']);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsNamesIndexes, [1, 4, 6, 3]);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsIndexes, [3, 5, 7, 9]);
assert_checkequal(systemAttributes.SystemOutputCharacteristicsCompressionFunctions, DynamicFiltersFunctions);
