[a, pathlib] = libraryinfo("physics_learning_environmentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('Functions') - 1 - length('macros')) + 'xcos';

//Функция фильтра
function [parametrs]=DynamicFilterFunction1(time, value)
    parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];
endfunction
function [parametr]=DynamicFilterFunction2(time, value)
    parametr=sum(time.*value) / (2*length(time));
endfunction

//Массив функций фильтров
DynamicFiltersFunctions = cell(1, 4);
DynamicFiltersFunctions{1} = DynamicFilterFunction1;
DynamicFiltersFunctions{2} = DynamicFilterFunction2;
DynamicFiltersFunctions{3} = DynamicFilterFunction2;
DynamicFiltersFunctions{4} = DynamicFilterFunction1;

//Запускаем базовую функцию
SystemParametrsNames = ['b', 'a', 'd'];//Имена параметров
SystemParametrsValues = [ 1.5, 0.81, 3.81;
                         2.25, 0.51, 6.81;
                         1.11, 0.93, 3.51];//Значения параметров
[SystemOutputCharacteristics...//Выходные характеристики
 ]=AdvancedModelLearningDataDynamic(SystemParametrsNames,...//Имена параметров, определяющих динамику
                                    SystemParametrsValues,...//Значения параметров, определяющих динамику
                                    ['A3', 'A1', 'A2'],...//Имена выходных характеристик системы
                                    [1, 1, 3, 2],...//Индексы имен динамик
                                    [3, 2, 1, 2],...//Индексы динамик (в именах)
                                    fullfile(pathlib, 'Proba3.zcos'),...//Имя схемы системы
                                    DynamicFiltersFunctions...//Функция сжатия динамик
                                    );
          
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba4e1.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = CountDynamicsProections([A3, A1, A2],...
                                                       [1, 1, 3, 2],...//Индексы имен динамик
                                                       [3, 2, 1, 2],...//Индексы динамик (в именах)
                                                       DynamicFiltersFunctions...//Функция сжатия динамик
                                                       ); 
          
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba4e2.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;...
                                CountDynamicsProections([A3, A1, A2],...
                                [1, 1, 3, 2],...//Индексы имен динамик
                                [3, 2, 1, 2],...//Индексы динамик (в именах)
                                DynamicFiltersFunctions...//Функция сжатия динамик
                                )]; 

SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba4e3.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;...
                                CountDynamicsProections([A3, A1, A2],...
                                [1, 1, 3, 2],...//Индексы имен динамик
                                [3, 2, 1, 2],...//Индексы динамик (в именах)
                                DynamicFiltersFunctions...//Функция сжатия динамик
                                )]; 
                             
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);
                          
clear;
