[a, pathlib] = libraryinfo("physics_learning_environmentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('Functions') - 1 - length('macros')) + 'xcos';

//Функция фильтра
function [parametrs]=DynamicFilterFunction1(time, value)
    parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];
endfunction
function [parametr]=DynamicFilterFunction2(time, value)
    parametr=sum(time.*value) / (2*length(time));
endfunction

//Массив функций фильтров
DynamicFiltersFunctions1 = cell(1, 4);
DynamicFiltersFunctions1{1} = DynamicFilterFunction1;
DynamicFiltersFunctions1{2} = DynamicFilterFunction2;
DynamicFiltersFunctions1{3} = DynamicFilterFunction2;
DynamicFiltersFunctions1{4} = DynamicFilterFunction1;
DynamicFiltersFunctions2 = cell(1, 9);
DynamicFiltersFunctions2{1} = DynamicFilterFunction1;
DynamicFiltersFunctions2{2} = DynamicFilterFunction2;
DynamicFiltersFunctions2{3} = DynamicFilterFunction2;
DynamicFiltersFunctions2{4} = DynamicFilterFunction1;
DynamicFiltersFunctions2{5} = DynamicFilterFunction2;
DynamicFiltersFunctions2{6} = DynamicFilterFunction1;
DynamicFiltersFunctions2{7} = DynamicFilterFunction1;
DynamicFiltersFunctions2{8} = DynamicFilterFunction2;
DynamicFiltersFunctions2{9} = DynamicFilterFunction1;
DynamicFiltersFunctions3 = cell(1, 6);
DynamicFiltersFunctions3{1} = DynamicFilterFunction1;
DynamicFiltersFunctions3{2} = DynamicFilterFunction2;
DynamicFiltersFunctions3{3} = DynamicFilterFunction2;
DynamicFiltersFunctions3{4} = DynamicFilterFunction1;
DynamicFiltersFunctions3{5} = DynamicFilterFunction2;
DynamicFiltersFunctions3{6} = DynamicFilterFunction1;

//Формируем динамику системы
systemAttributes1 = SystemAttributesControlMode(fullfile(pathlib, 'Proba5.zcos'),...//Имя схемы системы
                                                ['b', 'a', 'd'],...//Имена параметров
                                                [1.11, 0.51, 3.51],...//Минимальные значения параметров
                                                [ 1.5, 0.81, 3.81;...
                                                 2.25, 0.51, 6.81;...
                                                 1.11, 0.93, 3.51],...//Значения параметров
                                                [2.25, 0.93, 6.81],...//Максимальные значения параметров
                                                ['A3', 'A1', 'A2'],...//Имена выходных характеристик системы
                                                [1, 1, 3, 2],...//Индексы имен динамик
                                                [3, 2, 1, 2],...//Индексы динамик (в именах)
                                                DynamicFiltersFunctions1...//Функция сжатия динамик
                                                );//Аттрибуты системы 1
systemAttributes2 = SystemAttributesControlMode(fullfile(pathlib, 'Proba6.zcos'),...//Имя схемы системы
                                                ['o', 'd', 'h', 'l', 'q'],...//Имена параметров
                                                [0.51, 3.51, 1.53, -0.33, 0.111],...//Минимальные значения параметров
                                                [0.81, 3.81, 1.53, -0.15, 0.111;...
                                                 0.51, 6.81, 4.23,   4.5, 0.993;...
                                                 0.93, 3.51, 3.39, -0.33,  0.63],...//Значения параметров
                                                [0.93, 6.81, 4.23,   4.5, 0.993],...//Максимальные значения параметров
                                                ['A8', 'A10', 'A5', 'A9', 'A7', 'A11'],...//Имена выходных характеристик системы
                                                [1, 1, 5, 2, 2, 3, 4, 6, 2],...//Индексы имен динамик
                                                [3, 1, 1, 1, 2, 2, 1, 1, 4],...//Индексы динамик (в именах)
                                                DynamicFiltersFunctions2...//Функция сжатия динамик
                                                );//Аттрибуты системы 2
systemAttributes3 = SystemAttributesControlMode(fullfile(pathlib, 'Proba7.zcos'),...//Имя схемы системы
                                                ['o', 'd', 'h', 'l'],...//Имена параметров
                                                [0.51, 3.51, 1.53, -0.33],...//Минимальные значения параметров
                                                [0.81, 3.81, 1.53, -0.15;...
                                                 0.51, 6.81, 4.23,   4.5;...
                                                 0.93, 3.51, 3.39, -0.33],...//Значения параметров
                                                [0.93, 6.81, 4.23,   4.5],...//Максимальные значения параметров
                                                ['A8', 'A3', 'A5', 'A9', 'A7'],...//Имена выходных характеристик системы
                                                [1, 2, 2, 5, 3, 4],...//Индексы имен динамик
                                                [2, 3, 2, 1, 2, 1],...//Индексы динамик (в именах)
                                                DynamicFiltersFunctions3...//Функция сжатия динамик
                                                );//Аттрибуты системы 3

//Массив аттрибутов системы
systemsAttributes = cell(1, 3);
systemsAttributes{1} = systemAttributes1;
systemsAttributes{2} = systemAttributes2;
systemsAttributes{3} = systemAttributes3;

//Запускаем базовую функцию
[SystemOutputCharacteristics...//Выходные характеристики
 ]=AdvancedModelLearningDataDynamics(['g', 'c'],...//Имена глобальных параметров
                                     [ 6.3, 7.35;...
                                       1.5,  6.9;...
                                      2.13, 8.19],...//Имена параметров, определяющих динамику
                                      systemsAttributes...//Аттрибуты систем
                                      );
          
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e1.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse1 = CountDynamicsProections([A3, A1, A2],...
                                                        [1, 1, 3, 2],...//Индексы имен динамик
                                                        [3, 2, 1, 2],...//Индексы динамик (в именах)
                                                        DynamicFiltersFunctions1...//Функция сжатия динамик
                                                        ); 
          
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e2.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse1 = [SystemOutputCharacteristicse1;...
                                 CountDynamicsProections([A3, A1, A2],...
                                 [1, 1, 3, 2],...//Индексы имен динамик
                                 [3, 2, 1, 2],...//Индексы динамик (в именах)
                                 DynamicFiltersFunctions1...//Функция сжатия динамик
                                 )]; 

SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba5e3.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse1 = [SystemOutputCharacteristicse1;...
                                 CountDynamicsProections([A3, A1, A2],...
                                 [1, 1, 3, 2],...//Индексы имен динамик
                                 [3, 2, 1, 2],...//Индексы динамик (в именах)
                                 DynamicFiltersFunctions1...//Функция сжатия динамик
                                 )]; 
clear A1; clear A2; clear A3;
                        
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba6e1.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse2 = CountDynamicsProections([A8, A10, A5, A9, A7, A11],...
                                                        [1, 1, 5, 2, 2, 3, 4, 6, 2],...//Индексы имен динамик
                                                        [3, 1, 1, 1, 2, 2, 1, 1, 4],...//Индексы динамик (в именах)
                                                        DynamicFiltersFunctions2...//Функция сжатия динамик
                                                        ); 
          
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba6e2.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse2 = [SystemOutputCharacteristicse2;...
                                 CountDynamicsProections([A8, A10, A5, A9, A7, A11],...
                                 [1, 1, 5, 2, 2, 3, 4, 6, 2],...//Индексы имен динамик
                                 [3, 1, 1, 1, 2, 2, 1, 1, 4],...//Индексы динамик (в именах)
                                 DynamicFiltersFunctions2...//Функция сжатия динамик
                                 )]; 

SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba6e3.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse2 = [SystemOutputCharacteristicse2;...
                                 CountDynamicsProections([A8, A10, A5, A9, A7, A11],...
                                 [1, 1, 5, 2, 2, 3, 4, 6, 2],...//Индексы имен динамик
                                 [3, 1, 1, 1, 2, 2, 1, 1, 4],...//Индексы динамик (в именах)
                                 DynamicFiltersFunctions2...//Функция сжатия динамик
                                 )];  
clear A5; clear A7; clear A10; clear A8; clear A9; clear A11;
    
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba7e1.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse3 = CountDynamicsProections([A8, A3, A5, A9, A7],...
                                                        [1, 2, 2, 5, 3, 4],...//Индексы имен динамик
                                                        [2, 3, 2, 1, 2, 1],...//Индексы динамик (в именах)
                                                        DynamicFiltersFunctions3...//Функция сжатия динамик
                                                        ); 
          
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba7e2.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse3 = [SystemOutputCharacteristicse3;...
                                 CountDynamicsProections([A8, A3, A5, A9, A7],...
                                 [1, 2, 2, 5, 3, 4],...//Индексы имен динамик
                                 [2, 3, 2, 1, 2, 1],...//Индексы динамик (в именах)
                                 DynamicFiltersFunctions3...//Функция сжатия динамик
                                 )]; 

SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba7e3.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse3 = [SystemOutputCharacteristicse3;...
                                 CountDynamicsProections([A8, A3, A5, A9, A7],...
                                 [1, 2, 2, 5, 3, 4],...//Индексы имен динамик
                                 [2, 3, 2, 1, 2, 1],...//Индексы динамик (в именах)
                                 DynamicFiltersFunctions3...//Функция сжатия динамик
                                 )];  
clear A5; clear A7; clear A3; clear A8; clear A9;
                               
assert_checkequal(SystemOutputCharacteristics, [SystemOutputCharacteristicse1,...
                                                SystemOutputCharacteristicse2,...
                                                SystemOutputCharacteristicse3]);
                          
clear;
